Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.application
Class ApplicationWrapper

    java.lang.Object
      javax.faces.application.Application
          javax.faces.application.ApplicationWrapper

All Implemented Interfaces:
  FacesWrapper<Application>

    public abstract class ApplicationWrapper

extends Application
implements FacesWrapper<Application>

Provides a simple implementation of `Application` that can be subclassed by developers wishing to provide specialized behavior to an existing `Application` instance. The default implementation of all methods is to call through to the wrapped `Application`.

Usage: extend this class and override `getWrapped()` to return the instance we are wrapping.

Since:
  2.0

Constructor Summary
`ApplicationWrapper()`

Method Summary
`void` | `addBehavior(java.lang.String behaviorId, java.lang.String behaviorClass)` The default behavior of this method is to call `Application.addBehavior(String, String)` on the wrapped `Application` object.
`void` | `addComponent(java.lang.String componentType, java.lang.String componentClass)` The default behavior of this method is to call `Application.addComponent(String, String)` on the wrapped `Application` object.
`void` | `addConverter(java.lang.Class<?> targetClass, java.lang.String converterClass)` The default behavior of this method is to call `Application.addConverter(Class, String)` on the wrapped `Application` object.
`void` | `addConverter(java.lang.String converterId, java.lang.String converterClass)` The default behavior of this method is to call `Application.addConverter(String, String)` on the wrapped `Application` object.
`void` | `addDefaultValidatorId(java.lang.String validatorId)` The default behavior of this method is to call `Application.addDefaultValidatorId(String)` on the wrapped `Application` object.
`void` | `addELContextListener(javax.el.ELContextListener listener)` The default behavior of this method is to call `Application.addELContextListener(javax.el.ELContextListener)` on the wrapped `Application` object.
`void` | `addELResolver(javax.el.ELResolver resolver)` The default behavior of this method is to call `Application.addELResolver(javax.el.ELResolver)` on the wrapped `Application` object.
`void` | `addValidator(java.lang.String validatorId, java.lang.String validatorClass)` The default behavior of this method is to call `Application.addValidator(String, String)` on the wrapped `Application` object.
`Behavior` | `createBehavior(java.lang.String behaviorId)` The default behavior of this method is to call `Application.createBehavior(String)` on the wrapped `Application` object.
`UIComponent` | `createComponent(FacesContext context, Resource componentResource)` The default behavior of this method is to call `Application.createComponent(javax.faces.context.FacesContext, Resource)` on the wrapped `Application` object.
`UIComponent` | `createComponent(FacesContext context, java.lang.String componentType, java.lang.String rendererType)` The default behavior of this method is to call `Application.createComponent(javax.faces.context.FacesContext, String, String)` on the wrapped `Application` object.
`UIComponent` | `createComponent(java.lang.String componentType)` The default behavior of this method is to call `Application.createComponent(String)` on the wrapped `Application` object.
`UIComponent` | `createComponent(ValueBinding componentBinding, FacesContext context, java.lang.String componentType)` The default behavior of this method is to call `Application.createComponent(javax.faces.el.ValueBinding, javax.faces.context.FacesContext, String)` on the wrapped `Application` object.
`UIComponent` | `createComponent(javax.el.ValueExpression componentExpression, FacesContext context, java.lang.String componentType)` The default behavior of this method is to call `Application.createComponent(javax.el.ValueExpression, javax.faces.context.FacesContext, String)` on the wrapped `Application` object.
`UIComponent` | `createComponent(javax.el.ValueExpression componentExpression, FacesContext context, java.lang.String componentType, java.lang.String rendererType)` The default behavior of this method is to call `Application.createComponent(javax.el.ValueExpression, javax.faces.context.FacesContext, String, String)` on the wrapped `Application` object.
`Converter` | `createConverter(java.lang.Class<?> targetClass)` The default behavior of this method is to call `Application.createConverter(Class)` on the wrapped `Application` object.
`Converter` | `createConverter(java.lang.String converterId)` The default behavior of this method is to call `Application.createConverter(String)` on the wrapped `Application` object.
`MethodBinding` | `createMethodBinding(java.lang.String ref, java.lang.Class<?>[] params)` The default behavior of this method is to call `Application.createMethodBinding(String, Class[])` on the wrapped `Application` object.
`Validator` | `createValidator(java.lang.String validatorId)` The default behavior of this method is to call `Application.createValidator(String)` on the wrapped `Application` object.
`ValueBinding` | `createValueBinding(java.lang.String ref)` The default behavior of this method is to call `Application.createValueBinding(String)` on the wrapped `Application` object.
`
`<T> T`
` | `evaluateExpressionGet(FacesContext context, java.lang.String expression, java.lang.Class<? extends T> expectedType)` The default behavior of this method is to call `Application.evaluateExpressionGet(javax.faces.context.FacesContext, String, Class)` on the wrapped `Application` object.
`ActionListener` | `getActionListener()` The default behavior of this method is to call `Application.getActionListener()` on the wrapped `Application` object.
`java.util.Iterator<java.lang.String>` | `getBehaviorIds()` The default behavior of this method is to call `Application.getBehaviorIds()` on the wrapped `Application` object.
`java.util.Iterator<java.lang.String>` | `getComponentTypes()` The default behavior of this method is to call `Application.getComponentTypes()` on the wrapped `Application` object.
`java.util.Iterator<java.lang.String>` | `getConverterIds()` The default behavior of this method is to call `Application.getConverterIds()` on the wrapped `Application` object.
`java.util.Iterator<java.lang.Class<?>>` | `getConverterTypes()` The default behavior of this method is to call `Application.getConverterTypes()` on the wrapped `Application` object.
`java.util.Locale` | `getDefaultLocale()` The default behavior of this method is to call `Application.getDefaultLocale()` on the wrapped `Application` object.
`java.lang.String` | `getDefaultRenderKitId()` The default behavior of this method is to call `Application.getDefaultRenderKitId()` on the wrapped `Application` object.
`java.util.Map<java.lang.String,java.lang.String>` | `getDefaultValidatorInfo()` The default behavior of this method is to call `Application.getDefaultValidatorInfo()` on the wrapped `Application` object.
`javax.el.ELContextListener[]` | `getELContextListeners()` The default behavior of this method is to call `Application.getELContextListeners()` on the wrapped `Application` object.
`javax.el.ELResolver` | `getELResolver()` The default behavior of this method is to call `Application.getELResolver()` on the wrapped `Application` object.
`javax.el.ExpressionFactory` | `getExpressionFactory()` The default behavior of this method is to call `Application.getExpressionFactory()` on the wrapped `Application` object.
`java.lang.String` | `getMessageBundle()` The default behavior of this method is to call `Application.getMessageBundle()` on the wrapped `Application` object.
`NavigationHandler` | `getNavigationHandler()` The default behavior of this method is to call `Application.getNavigationHandler()` on the wrapped `Application` object.
`ProjectStage` | `getProjectStage()` The default behavior of this method is to call `Application.getProjectStage()` on the wrapped `Application` object.
`PropertyResolver` | `getPropertyResolver()` The default behavior of this method is to call `Application.getPropertyResolver()` on the wrapped `Application` object.
`java.util.ResourceBundle` | `getResourceBundle(FacesContext ctx, java.lang.String name)` The default behavior of this method is to call `Application.getResourceBundle(javax.faces.context.FacesContext, String)` on the wrapped `Application` object.
`ResourceHandler` | `getResourceHandler()` The default behavior of this method is to call `Application.getResourceHandler()` on the wrapped `Application` object.
`StateManager` | `getStateManager()` The default behavior of this method is to call `Application.getStateManager()` on the wrapped `Application` object.
`java.util.Iterator<java.util.Locale>` | `getSupportedLocales()` The default behavior of this method is to call `Application.getSupportedLocales()` on the wrapped `Application` object.
`java.util.Iterator<java.lang.String>` | `getValidatorIds()` The default behavior of this method is to call `Application.getValidatorIds()` on the wrapped `Application` object.
`VariableResolver` | `getVariableResolver()` The default behavior of this method is to call `Application.getVariableResolver()` on the wrapped `Application` object.
`ViewHandler` | `getViewHandler()` The default behavior of this method is to call `Application.getViewHandler()` on the wrapped `Application` object.
`abstract Application` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.
`void` | `publishEvent(FacesContext context, java.lang.Class<? extends SystemEvent> systemEventClass, java.lang.Class<?> sourceBaseType, java.lang.Object source)` The default behavior of this method is to call `Application.publishEvent(javax.faces.context.FacesContext, Class, Class, Object)` on the wrapped `Application` object.
`void` | `publishEvent(FacesContext context, java.lang.Class<? extends SystemEvent> systemEventClass, java.lang.Object source)` The default behavior of this method is to call `Application.publishEvent(javax.faces.context.FacesContext, Class, Object)` on the wrapped `Application` object.
`void` | `removeELContextListener(javax.el.ELContextListener listener)` The default behavior of this method is to call `Application.removeELContextListener(javax.el.ELContextListener)` on the wrapped `Application` object.
`void` | `setActionListener(ActionListener listener)` The default behavior of this method is to call `Application.setActionListener(javax.faces.event.ActionListener)` on the wrapped `Application` object.
`void` | `setDefaultLocale(java.util.Locale locale)` The default behavior of this method is to call `Application.setDefaultLocale(java.util.Locale)` on the wrapped `Application` object.
`void` | `setDefaultRenderKitId(java.lang.String renderKitId)` The default behavior of this method is to call `Application.setDefaultRenderKitId(String)` on the wrapped `Application` object.
`void` | `setMessageBundle(java.lang.String bundle)` The default behavior of this method is to call `Application.setMessageBundle(String)` on the wrapped `Application` object.
`void` | `setNavigationHandler(NavigationHandler handler)` The default behavior of this method is to call `Application.setNavigationHandler(NavigationHandler)` on the wrapped `Application` object.
`void` | `setPropertyResolver(PropertyResolver resolver)` The default behavior of this method is to call `Application.setPropertyResolver(javax.faces.el.PropertyResolver)` on the wrapped `Application` object.
`void` | `setResourceHandler(ResourceHandler resourceHandler)` The default behavior of this method is to call `Application.setResourceHandler(ResourceHandler)` on the wrapped `Application` object.
`void` | `setStateManager(StateManager manager)` The default behavior of this method is to call `Application.setStateManager(StateManager)` on the wrapped `Application` object.
`void` | `setSupportedLocales(java.util.Collection<java.util.Locale> locales)` The default behavior of this method is to call `Application.setSupportedLocales(java.util.Collection)` on the wrapped `Application` object.
`void` | `setVariableResolver(VariableResolver resolver)` The default behavior of this method is to call `Application.setVariableResolver(javax.faces.el.VariableResolver)` on the wrapped `Application` object.
`void` | `setViewHandler(ViewHandler handler)` The default behavior of this method is to call `Application.setViewHandler(ViewHandler)` on the wrapped `Application` object.
`void` | `subscribeToEvent(java.lang.Class<? extends SystemEvent> systemEventClass, java.lang.Class<?> sourceClass, SystemEventListener listener)` The default behavior of this method is to call `Application.subscribeToEvent(Class, Class, javax.faces.event.SystemEventListener)` on the wrapped `Application` object.
`void` | `subscribeToEvent(java.lang.Class<? extends SystemEvent> systemEventClass, SystemEventListener listener)` The default behavior of this method is to call `Application.subscribeToEvent(Class, javax.faces.event.SystemEventListener)` on the wrapped `Application` object.
`void` | `unsubscribeFromEvent(java.lang.Class<? extends SystemEvent> systemEventClass, java.lang.Class<?> sourceClass, SystemEventListener listener)` The default behavior of this method is to call `Application.unsubscribeFromEvent(Class, Class, javax.faces.event.SystemEventListener)` on the wrapped `Application` object.
`void` | `unsubscribeFromEvent(java.lang.Class<? extends SystemEvent> systemEventClass, SystemEventListener listener)` The default behavior of this method is to call `Application.unsubscribeFromEvent(Class, javax.faces.event.SystemEventListener)` on the wrapped `Application` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationWrapper

    public ApplicationWrapper()

Method Detail

### getWrapped

    public abstract Application getWrapped()

  Description copied from interface: `FacesWrapper`

  A class that implements this interface uses this method to return an instance of the class being wrapped.

  Specified by:
    `getWrapped` in interface `FacesWrapper<Application>`

### getActionListener

    public ActionListener getActionListener()

  The default behavior of this method is to call `Application.getActionListener()` on the wrapped `Application` object.

  Specified by:
    `getActionListener` in class `Application`

### setActionListener

    public void setActionListener(ActionListener listener)

  The default behavior of this method is to call `Application.setActionListener(javax.faces.event.ActionListener)` on the wrapped `Application` object.

  Specified by:
    `setActionListener` in class `Application`
  Parameters:
    `listener` - The new default `ActionListener`

### getDefaultLocale

    public java.util.Locale getDefaultLocale()

  The default behavior of this method is to call `Application.getDefaultLocale()` on the wrapped `Application` object.

  Specified by:
    `getDefaultLocale` in class `Application`

### setDefaultLocale

    public void setDefaultLocale(java.util.Locale locale)

  The default behavior of this method is to call `Application.setDefaultLocale(java.util.Locale)` on the wrapped `Application` object.

  Specified by:
    `setDefaultLocale` in class `Application`
  Parameters:
    `locale` - The new default `Locale`

### getDefaultRenderKitId

    public java.lang.String getDefaultRenderKitId()

  The default behavior of this method is to call `Application.getDefaultRenderKitId()` on the wrapped `Application` object.

  Specified by:
    `getDefaultRenderKitId` in class `Application`

### addDefaultValidatorId

    public void addDefaultValidatorId(java.lang.String validatorId)

  The default behavior of this method is to call `Application.addDefaultValidatorId(String)` on the wrapped `Application` object.

  Overrides:
    `addDefaultValidatorId` in class `Application`

### getDefaultValidatorInfo

    public java.util.Map<java.lang.String,java.lang.String> getDefaultValidatorInfo()

  The default behavior of this method is to call `Application.getDefaultValidatorInfo()` on the wrapped `Application` object.

  Overrides:
    `getDefaultValidatorInfo` in class `Application`

### setDefaultRenderKitId

    public void setDefaultRenderKitId(java.lang.String renderKitId)

  The default behavior of this method is to call `Application.setDefaultRenderKitId(String)` on the wrapped `Application` object.

  Specified by:
    `setDefaultRenderKitId` in class `Application`

### getMessageBundle

    public java.lang.String getMessageBundle()

  The default behavior of this method is to call `Application.getMessageBundle()` on the wrapped `Application` object.

  Specified by:
    `getMessageBundle` in class `Application`

### setMessageBundle

    public void setMessageBundle(java.lang.String bundle)

  The default behavior of this method is to call `Application.setMessageBundle(String)` on the wrapped `Application` object.

  Specified by:
    `setMessageBundle` in class `Application`
  Parameters:
    `bundle` - Base name of the resource bundle to be used

### getNavigationHandler

    public NavigationHandler getNavigationHandler()

  The default behavior of this method is to call `Application.getNavigationHandler()` on the wrapped `Application` object.

  Specified by:
    `getNavigationHandler` in class `Application`

### setNavigationHandler

    public void setNavigationHandler(NavigationHandler handler)

  The default behavior of this method is to call `Application.setNavigationHandler(NavigationHandler)` on the wrapped `Application` object.

  Specified by:
    `setNavigationHandler` in class `Application`
  Parameters:
    `handler` - The new `NavigationHandler` instance

### getPropertyResolver

    public PropertyResolver getPropertyResolver()

  The default behavior of this method is to call `Application.getPropertyResolver()` on the wrapped `Application` object.

  Specified by:
    `getPropertyResolver` in class `Application`

### setPropertyResolver

    public void setPropertyResolver(PropertyResolver resolver)

  The default behavior of this method is to call `Application.setPropertyResolver(javax.faces.el.PropertyResolver)` on the wrapped `Application` object.

  Specified by:
    `setPropertyResolver` in class `Application`
  Parameters:
    `resolver` - The new `PropertyResolver` instance

### getVariableResolver

    public VariableResolver getVariableResolver()

  The default behavior of this method is to call `Application.getVariableResolver()` on the wrapped `Application` object.

  Specified by:
    `getVariableResolver` in class `Application`

### setVariableResolver

    public void setVariableResolver(VariableResolver resolver)

  The default behavior of this method is to call `Application.setVariableResolver(javax.faces.el.VariableResolver)` on the wrapped `Application` object.

  Specified by:
    `setVariableResolver` in class `Application`
  Parameters:
    `resolver` - The new `VariableResolver` instance

### getViewHandler

    public ViewHandler getViewHandler()

  The default behavior of this method is to call `Application.getViewHandler()` on the wrapped `Application` object.

  Specified by:
    `getViewHandler` in class `Application`

### setViewHandler

    public void setViewHandler(ViewHandler handler)

  The default behavior of this method is to call `Application.setViewHandler(ViewHandler)` on the wrapped `Application` object.

  Specified by:
    `setViewHandler` in class `Application`
  Parameters:
    `handler` - The new `ViewHandler` instance

### getStateManager

    public StateManager getStateManager()

  The default behavior of this method is to call `Application.getStateManager()` on the wrapped `Application` object.

  Specified by:
    `getStateManager` in class `Application`

### setStateManager

    public void setStateManager(StateManager manager)

  The default behavior of this method is to call `Application.setStateManager(StateManager)` on the wrapped `Application` object.

  Specified by:
    `setStateManager` in class `Application`
  Parameters:
    `manager` - The new `StateManager` instance

### addComponent

    public void addComponent(java.lang.String componentType,
                             java.lang.String componentClass)

  The default behavior of this method is to call `Application.addComponent(String, String)` on the wrapped `Application` object.

  Specified by:
    `addComponent` in class `Application`
  Parameters:
    `componentType` - The component type to be registered
    `componentClass` - The fully qualified class name of the corresponding `UIComponent` implementation

### createComponent

    public UIComponent createComponent(java.lang.String componentType)
                                throws FacesException

  The default behavior of this method is to call `Application.createComponent(String)` on the wrapped `Application` object.

  Specified by:
    `createComponent` in class `Application`
  Parameters:
    `componentType` - The component type for which to create and return a new `UIComponent` instance
  Throws:
    `FacesException` - if a `UIComponent` of the specified type cannot be created

### createComponent

    public UIComponent createComponent(ValueBinding componentBinding,
                                       FacesContext context,
                                       java.lang.String componentType)
                                throws FacesException

  The default behavior of this method is to call `Application.createComponent(javax.faces.el.ValueBinding, javax.faces.context.FacesContext, String)` on the wrapped `Application` object.

  Specified by:
    `createComponent` in class `Application`
  Parameters:
    `componentBinding` - `ValueBinding` representing a component value binding expression (typically specified by the `component` attribute of a custom tag)
    `context` - `FacesContext` for the current request
    `componentType` - Component type to create if the `ValueBinding` does not return a component instance
  Throws:
    `FacesException` - if a `UIComponent` cannot be created

### getComponentTypes

    public java.util.Iterator<java.lang.String> getComponentTypes()

  The default behavior of this method is to call `Application.getComponentTypes()` on the wrapped `Application` object.

  Specified by:
    `getComponentTypes` in class `Application`

### addConverter

    public void addConverter(java.lang.String converterId,
                             java.lang.String converterClass)

  The default behavior of this method is to call `Application.addConverter(String, String)` on the wrapped `Application` object.

  Specified by:
    `addConverter` in class `Application`
  Parameters:
    `converterId` - The converter id to be registered
    `converterClass` - The fully qualified class name of the corresponding `Converter` implementation

### addConverter

    public void addConverter(java.lang.Class<?> targetClass,
                             java.lang.String converterClass)

  The default behavior of this method is to call `Application.addConverter(Class, String)` on the wrapped `Application` object.

  Specified by:
    `addConverter` in class `Application`
  Parameters:
    `targetClass` - The class for which this converter is registered
    `converterClass` - The fully qualified class name of the corresponding `Converter` implementation

### createConverter

    public Converter createConverter(java.lang.String converterId)

  The default behavior of this method is to call `Application.createConverter(String)` on the wrapped `Application` object.

  Specified by:
    `createConverter` in class `Application`
  Parameters:
    `converterId` - The converter id for which to create and return a new `Converter` instance

### createConverter

    public Converter createConverter(java.lang.Class<?> targetClass)

  The default behavior of this method is to call `Application.createConverter(Class)` on the wrapped `Application` object.

  Specified by:
    `createConverter` in class `Application`
  Parameters:
    `targetClass` - Target class for which to return a `Converter`

### getConverterIds

    public java.util.Iterator<java.lang.String> getConverterIds()

  The default behavior of this method is to call `Application.getConverterIds()` on the wrapped `Application` object.

  Specified by:
    `getConverterIds` in class `Application`

### getConverterTypes

    public java.util.Iterator<java.lang.Class<?>> getConverterTypes()

  The default behavior of this method is to call `Application.getConverterTypes()` on the wrapped `Application` object.

  Specified by:
    `getConverterTypes` in class `Application`

### createMethodBinding

    public MethodBinding createMethodBinding(java.lang.String ref,
                                             java.lang.Class<?>[] params)
                                      throws ReferenceSyntaxException

  The default behavior of this method is to call `Application.createMethodBinding(String, Class[])` on the wrapped `Application` object.

  Specified by:
    `createMethodBinding` in class `Application`
  Parameters:
    `ref` - Method binding expression for which to return a `MethodBinding` instance
    `params` - Parameter signatures that must be compatible with those of the method to be invoked, or a zero-length array or `null` for a method that takes no parameters
  Throws:
    `ReferenceSyntaxException` - if the specified `ref` has invalid syntax

### getSupportedLocales

    public java.util.Iterator<java.util.Locale> getSupportedLocales()

  The default behavior of this method is to call `Application.getSupportedLocales()` on the wrapped `Application` object.

  Specified by:
    `getSupportedLocales` in class `Application`

### setSupportedLocales

    public void setSupportedLocales(java.util.Collection<java.util.Locale> locales)

  The default behavior of this method is to call `Application.setSupportedLocales(java.util.Collection)` on the wrapped `Application` object.

  Specified by:
    `setSupportedLocales` in class `Application`
  Parameters:
    `locales` - The set of supported `Locale`s for this application

### addBehavior

    public void addBehavior(java.lang.String behaviorId,
                            java.lang.String behaviorClass)

  The default behavior of this method is to call `Application.addBehavior(String, String)` on the wrapped `Application` object.

  Overrides:
    `addBehavior` in class `Application`
  Parameters:
    `behaviorId` - The behavior id to be registered
    `behaviorClass` - The fully qualified class name of the corresponding `Behavior` implementation

### createBehavior

    public Behavior createBehavior(java.lang.String behaviorId)
                            throws FacesException

  The default behavior of this method is to call `Application.createBehavior(String)` on the wrapped `Application` object.

  Overrides:
    `createBehavior` in class `Application`
  Parameters:
    `behaviorId` - The behavior id for which to create and return a new `Behavior` instance
  Throws:
    `FacesException` - if the `Behavior` cannot be created

### getBehaviorIds

    public java.util.Iterator<java.lang.String> getBehaviorIds()

  The default behavior of this method is to call `Application.getBehaviorIds()` on the wrapped `Application` object.

  Overrides:
    `getBehaviorIds` in class `Application`

### addValidator

    public void addValidator(java.lang.String validatorId,
                             java.lang.String validatorClass)

  The default behavior of this method is to call `Application.addValidator(String, String)` on the wrapped `Application` object.

  Specified by:
    `addValidator` in class `Application`
  Parameters:
    `validatorId` - The validator id to be registered
    `validatorClass` - The fully qualified class name of the corresponding `Validator` implementation

### createValidator

    public Validator createValidator(java.lang.String validatorId)
                              throws FacesException

  The default behavior of this method is to call `Application.createValidator(String)` on the wrapped `Application` object.

  Specified by:
    `createValidator` in class `Application`
  Parameters:
    `validatorId` - The validator id for which to create and return a new `Validator` instance
  Throws:
    `FacesException` - if a `Validator` of the specified id cannot be created

### getValidatorIds

    public java.util.Iterator<java.lang.String> getValidatorIds()

  The default behavior of this method is to call `Application.getValidatorIds()` on the wrapped `Application` object.

  Specified by:
    `getValidatorIds` in class `Application`

### createValueBinding

    public ValueBinding createValueBinding(java.lang.String ref)
                                    throws ReferenceSyntaxException

  The default behavior of this method is to call `Application.createValueBinding(String)` on the wrapped `Application` object.

  Specified by:
    `createValueBinding` in class `Application`
  Parameters:
    `ref` - Value binding expression for which to return a `ValueBinding` instance
  Throws:
    `ReferenceSyntaxException` - if the specified `ref` has invalid syntax

### getResourceHandler

    public ResourceHandler getResourceHandler()

  The default behavior of this method is to call `Application.getResourceHandler()` on the wrapped `Application` object.

  Overrides:
    `getResourceHandler` in class `Application`

### setResourceHandler

    public void setResourceHandler(ResourceHandler resourceHandler)

  The default behavior of this method is to call `Application.setResourceHandler(ResourceHandler)` on the wrapped `Application` object.

  Overrides:
    `setResourceHandler` in class `Application`
  Parameters:
    `resourceHandler` - The new `ResourceHandler` instance

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(FacesContext ctx,
                                                      java.lang.String name)

  The default behavior of this method is to call `Application.getResourceBundle(javax.faces.context.FacesContext, String)` on the wrapped `Application` object.

  Overrides:
    `getResourceBundle` in class `Application`
  Returns:
    `ResourceBundle` for the current UIViewRoot, otherwise null

### getProjectStage

    public ProjectStage getProjectStage()

  The default behavior of this method is to call `Application.getProjectStage()` on the wrapped `Application` object.

  Overrides:
    `getProjectStage` in class `Application`

### addELResolver

    public void addELResolver(javax.el.ELResolver resolver)

  The default behavior of this method is to call `Application.addELResolver(javax.el.ELResolver)` on the wrapped `Application` object.

  Overrides:
    `addELResolver` in class `Application`

### getELResolver

    public javax.el.ELResolver getELResolver()

  The default behavior of this method is to call `Application.getELResolver()` on the wrapped `Application` object.

  Overrides:
    `getELResolver` in class `Application`

### createComponent

    public UIComponent createComponent(javax.el.ValueExpression componentExpression,
                                       FacesContext context,
                                       java.lang.String componentType)
                                throws FacesException

  The default behavior of this method is to call `Application.createComponent(javax.el.ValueExpression, javax.faces.context.FacesContext, String)` on the wrapped `Application` object.

  Overrides:
    `createComponent` in class `Application`
  Parameters:
    `componentExpression` - `ValueExpression` representing a component value expression (typically specified by the `component` attribute of a custom tag)
    `context` - `FacesContext` for the current request
    `componentType` - Component type to create if the `ValueExpression` does not return a component instance
  Throws:
    `FacesException` - if a `UIComponent` cannot be created

### createComponent

    public UIComponent createComponent(javax.el.ValueExpression componentExpression,
                                       FacesContext context,
                                       java.lang.String componentType,
                                       java.lang.String rendererType)

  The default behavior of this method is to call `Application.createComponent(javax.el.ValueExpression, javax.faces.context.FacesContext, String, String)` on the wrapped `Application` object.

  Overrides:
    `createComponent` in class `Application`
  Parameters:
    `componentExpression` - `ValueExpression` representing a component value expression (typically specified by the `component` attribute of a custom tag)
    `context` - `FacesContext` for the current request
    `componentType` - Component type to create if the `ValueExpression` does not return a component instance
    `rendererType` - The renderer-type of the `Renderer` that will render this component. A `null` value must be accepted for this parameter.

### createComponent

    public UIComponent createComponent(FacesContext context,
                                       java.lang.String componentType,
                                       java.lang.String rendererType)

  The default behavior of this method is to call `Application.createComponent(javax.faces.context.FacesContext, String, String)` on the wrapped `Application` object.

  Overrides:
    `createComponent` in class `Application`
  Parameters:
    `context` - `FacesContext` for the current request
    `componentType` - Component type to create
    `rendererType` - The renderer-type of the `Renderer` that will render this component. A `null` value must be accepted for this parameter.

### createComponent

    public UIComponent createComponent(FacesContext context,
                                       Resource componentResource)

  The default behavior of this method is to call `Application.createComponent(javax.faces.context.FacesContext, Resource)` on the wrapped `Application` object.

  Overrides:
    `createComponent` in class `Application`
  Parameters:
    `context` - `FacesContext` for the current request
    `componentResource` - A `Resource` that points to a source file that provides an implementation of a component.

### getExpressionFactory

    public javax.el.ExpressionFactory getExpressionFactory()

  The default behavior of this method is to call `Application.getExpressionFactory()` on the wrapped `Application` object.

  Overrides:
    `getExpressionFactory` in class `Application`

### evaluateExpressionGet

    public <T> T evaluateExpressionGet(FacesContext context,
                                       java.lang.String expression,
                                       java.lang.Class<? extends T> expectedType)
                            throws javax.el.ELException

  The default behavior of this method is to call `Application.evaluateExpressionGet(javax.faces.context.FacesContext, String, Class)` on the wrapped `Application` object.

  Overrides:
    `evaluateExpressionGet` in class `Application`
  Throws:
    `javax.el.ELException`

### addELContextListener

    public void addELContextListener(javax.el.ELContextListener listener)

  The default behavior of this method is to call `Application.addELContextListener(javax.el.ELContextListener)` on the wrapped `Application` object.

  Overrides:
    `addELContextListener` in class `Application`

### removeELContextListener

    public void removeELContextListener(javax.el.ELContextListener listener)

  The default behavior of this method is to call `Application.removeELContextListener(javax.el.ELContextListener)` on the wrapped `Application` object.

  Overrides:
    `removeELContextListener` in class `Application`

### getELContextListeners

    public javax.el.ELContextListener[] getELContextListeners()

  The default behavior of this method is to call `Application.getELContextListeners()` on the wrapped `Application` object.

  Overrides:
    `getELContextListeners` in class `Application`

### publishEvent

    public void publishEvent(FacesContext context,
                             java.lang.Class<? extends SystemEvent> systemEventClass,
                             java.lang.Object source)

  The default behavior of this method is to call `Application.publishEvent(javax.faces.context.FacesContext, Class, Object)` on the wrapped `Application` object.

  Overrides:
    `publishEvent` in class `Application`
  Parameters:
    `context` - the `FacesContext` for the current request
    `systemEventClass` - The `Class` of event that is being published.
    `source` - The source for the event of type `systemEventClass`.

### publishEvent

    public void publishEvent(FacesContext context,
                             java.lang.Class<? extends SystemEvent> systemEventClass,
                             java.lang.Class<?> sourceBaseType,
                             java.lang.Object source)

  The default behavior of this method is to call `Application.publishEvent(javax.faces.context.FacesContext, Class, Class, Object)` on the wrapped `Application` object.

  Overrides:
    `publishEvent` in class `Application`
  Parameters:
    `context` - the `FacesContext` for the current request
    `systemEventClass` - The `Class` of event that is being published.
    `sourceBaseType` - The `Class` of the source event that must be used to lookup the listener to which this event must be published. If this argument is `null` the return from `source.getClass()` must be used as the `sourceBaseType`.
    `source` - The source for the event of type `systemEventClass`.

### subscribeToEvent

    public void subscribeToEvent(java.lang.Class<? extends SystemEvent> systemEventClass,
                                 java.lang.Class<?> sourceClass,
                                 SystemEventListener listener)

  The default behavior of this method is to call `Application.subscribeToEvent(Class, Class, javax.faces.event.SystemEventListener)` on the wrapped `Application` object.

  Overrides:
    `subscribeToEvent` in class `Application`
  Parameters:
    `systemEventClass` - the `Class` of event for which `listener` must be fired.
    `sourceClass` - the `Class` of the instance which causes events of type `systemEventClass` to be fired. May be `null`.
    `listener` - the implementation of `SystemEventListener` whose `SystemEventListener.processEvent(javax.faces.event.SystemEvent)` method must be called when events of type `systemEventClass` are fired.

### subscribeToEvent

    public void subscribeToEvent(java.lang.Class<? extends SystemEvent> systemEventClass,
                                 SystemEventListener listener)

  The default behavior of this method is to call `Application.subscribeToEvent(Class, javax.faces.event.SystemEventListener)` on the wrapped `Application` object.

  Overrides:
    `subscribeToEvent` in class `Application`
  Parameters:
    `systemEventClass` - the `Class` of event for which `listener` must be fired.
    `listener` - the implementation of `SystemEventListener` whose `SystemEventListener.processEvent(javax.faces.event.SystemEvent)` method must be called when events of type `systemEventClass` are fired.

### unsubscribeFromEvent

    public void unsubscribeFromEvent(java.lang.Class<? extends SystemEvent> systemEventClass,
                                     java.lang.Class<?> sourceClass,
                                     SystemEventListener listener)

  The default behavior of this method is to call `Application.unsubscribeFromEvent(Class, Class, javax.faces.event.SystemEventListener)` on the wrapped `Application` object.

  Overrides:
    `unsubscribeFromEvent` in class `Application`
  Parameters:
    `systemEventClass` - the `Class` of event for which `listener` must be fired.
    `sourceClass` - the `Class` of the instance which causes events of type `systemEventClass` to be fired. May be `null`.
    `listener` - the implementation of `SystemEventListener` to remove from the internal data structure.

### unsubscribeFromEvent

    public void unsubscribeFromEvent(java.lang.Class<? extends SystemEvent> systemEventClass,
                                     SystemEventListener listener)

  The default behavior of this method is to call `Application.unsubscribeFromEvent(Class, javax.faces.event.SystemEventListener)` on the wrapped `Application` object.

  Overrides:
    `unsubscribeFromEvent` in class `Application`
  Parameters:
    `systemEventClass` - the `Class` of event for which `listener` must be fired.
    `listener` - the implementation of `SystemEventListener` to remove from the internal data structure.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.